Sensitivity Labels - Create Or Update
特定の列の秘密度ラベルを作成または更新します。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/current?api-version=2025-01-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
column
|
path | True |
string |
列の名前。 |
|
database
|
path | True |
string |
データベースの名前。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前の大文字と小文字は区別されません。 |
|
schema
|
path | True |
string |
スキーマの名前です。 |
|
sensitivity
|
path | True |
秘密度ラベルのソース。 |
|
|
server
|
path | True |
string |
サーバーの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
table
|
path | True |
string |
テーブルの名前。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求本文
| 名前 | 型 | 説明 |
|---|---|---|
| properties.clientClassificationSource | ||
| properties.informationType |
string |
情報の種類。 |
| properties.informationTypeId |
string |
情報の種類 ID。 |
| properties.labelId |
string |
ラベル ID。 |
| properties.labelName |
string |
ラベル名。 |
| properties.rank |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
リソース「SensitivityLabel」更新操作が成功しました |
|
| 201 Created |
リソース「SensitivityLabel」作成操作が成功しました |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 Flow.
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Updates the sensitivity label of a given column with all parameters
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current?api-version=2025-01-01
{
"properties": {
"clientClassificationSource": "Native",
"informationType": "PhoneNumber",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "Low"
}
}
応答のサンプル
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
"properties": {
"columnName": "myColumn",
"informationType": "PhoneNumber",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "Medium",
"schemaName": "dbo",
"tableName": "myTable"
}
}
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn/sensitivityLabels/current",
"properties": {
"informationType": "PhoneNumber",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "High"
}
}
定義
| 名前 | 説明 |
|---|---|
|
Client |
|
|
created |
リソースを作成した ID の種類。 |
|
Current |
|
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Sensitivity |
秘密度ラベル。 |
|
Sensitivity |
|
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
ClientClassificationSource
| 値 | 説明 |
|---|---|
| None |
なし |
| Native |
Native |
| Recommended |
推奨 |
| MIP |
ミップ |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CurrentSensitivityLabelSource
| 値 | 説明 |
|---|---|
| current |
現在 |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
SensitivityLabel
秘密度ラベル。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| managedBy |
string |
秘密度ラベルを管理するリソース。 |
| name |
string |
リソースの名前 |
| properties.clientClassificationSource | ||
| properties.columnName |
string |
列名。 |
| properties.informationType |
string |
情報の種類。 |
| properties.informationTypeId |
string |
情報の種類 ID。 |
| properties.isDisabled |
boolean |
秘密度の推奨事項が無効になっています。 推奨される秘密度ラベルにのみ適用されます。 この列の秘密度に関する推奨事項を無効 (無視) するかどうかを指定します。 |
| properties.labelId |
string |
ラベル ID。 |
| properties.labelName |
string |
ラベル名。 |
| properties.rank | ||
| properties.schemaName |
string |
スキーマ名。 |
| properties.tableName |
string |
テーブル名。 |
| systemData |
create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」 |
SensitivityLabelRank
| 値 | 説明 |
|---|---|
| None |
なし |
| Low |
低 |
| Medium |
中程度 |
| High |
高 |
| Critical |
危うい |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |